﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post6467
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("App_Data/cntry02.shp"));
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay staticOverlay = new LayerOverlay();
                staticOverlay.Layers.Add(worldLayer);
                Map1.CustomOverlays.Add(staticOverlay);

                SimpleMarkerOverlay overlay1 = new SimpleMarkerOverlay("markerOverlay1");
                overlay1.IsBaseOverlay = false;
                Marker marker1 = new Marker(-94.48242, 38.75977, new WebImage("theme/default/img/marker_blue.gif"));
                marker1.Popup.ContentHtml = "<div>marker1</div>";
                overlay1.Markers.Add(marker1);

                SimpleMarkerOverlay overlay2 = new SimpleMarkerOverlay("markerOverlay2");
                overlay2.IsBaseOverlay = false;
                Marker marker2 = new Marker(-92.48242, 33.75977, new WebImage("theme/default/img/marker_gold.gif"));
                marker2.Popup.ContentHtml = "<div>marker2</div>";
                overlay2.Markers.Add(marker2);

                Map1.CustomOverlays.Add(overlay1);
                Map1.CustomOverlays.Add(overlay2);
            }

        }
    }
}
